Subject: RE: Russian font for pine

From: Hong Tian <[email-masked]>
Date: Mon, 7 Oct 2002 10:32:55 -0400

Mike,

I did the followings and got the warnings from setfont command:

# cd /lib/kbd/consolefonts
# ls |less                 -> I pick a fontname
# setfont Cyr_a8x8.psf.gz
Warning: this is a shell wrapper; consider using consolechars(8)
Couldn't get a file descriptor referring to the console
get_console_fl: Invalid argument
# setfont Cyr_a8x8.psf
Warning: this is a shell wrapper; consider using consolechars(8)
Couldn't get a file descriptor referring to the console
get_console_fl: Invalid argument
# setfont Cyr_a8x8
Warning: this is a shell wrapper; consider using consolechars(8)
Couldn't get a file descriptor referring to the console
get_console_fl: Invalid argument

Thanks,
Hong

-----Original Message-----
From: Mike A. Harris [mailto:[email-masked]]
Sent: Monday, October 07, 2002 9:17 AM
To: Hong Tian
Cc: Pine Discussion Forum
Subject: RE: Russian font for pine

On Mon, 7 Oct 2002, Hong Tian wrote:

>Date: Mon, 7 Oct 2002 08:56:43 -0400 
>From: Hong Tian <[email-masked]>
>To: 'Mike A. Harris' <[email-masked]>
>Cc: Pine Discussion Forum <[email-masked]>
>Content-Type: text/plain;
>	charset="iso-8859-1"
>Subject: RE: Russian font for pine
>
>Mike,
>
>Would you please let me know how to use "setfont" to use a Cyrillic font on
>RedHat 7.3? 
>
>After using "setfont" to use a Cyrillic font, I will be able to read both
>the Russian and English email messages. Can I also write email reply with
>both the Russian and English?

cd /lib/kbd/consolefonts
ls |less
(find the font you wish to try)
setfont <fontname>

There are various Cyrillic fonts there, however I can't recommend 
one specifically as I'm an English only speaker.  Play with the 
different fonts until you find one that works well.  In order wo 
type both English and Russian, you'll have to configure your 
keyboard for doing multiple languages.

Hope this helps,
TTYL

-- 
Mike A. Harris		ftp://people.redhat.com/mharris
OS Systems Engineer
XFree86 maintainer
Red Hat Inc.